For primary identities, the isArchived field cannot be changed.
The name of a personal or business ID. Required if identityType=customID. This needs to be "one word" only US (a-zA-Z) letters. No numbers.
For example: Metrica Consular Card for Mexicans living abroad.
identityType=customIDcustomIdentityTypeName=metricaConsularCard
Personal and business identifiers that are supported. customID can be used for personal or business IDs that are not explicitly listed as one of the enum values. If you pass identityType=customID, a customIdentityTypeName is also required.
For example: Metrica Consular Card for Mexicans living abroad.
identityType=customIDcustomIdentityTypeName=metricaConsularCard
Country that issued the identification. English short name according to ISO 3166-1 standard.
Determines whether the identity has been archived. By default, only non-archived identities are shown. Cannot be changed for primary identities.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X PUT \
'https://sandboxapi.peach.finance/api/people/{personId}/identities/{personIdentityId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"customIdentityTypeName": "string",
"expirationDate": "2019-08-24",
"identityType": "SSN",
"issueDate": "2019-08-24",
"issuingCountry": "",
"valid": true,
"value": "string",
"isArchived": true,
"caseId": "string"
}'{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "customIdentityTypeName": "string", "deletedAt": "2019-08-24T14:15:22Z", "expirationDate": "2019-08-24", "id": "string", "identityType": "SSN", "issueDate": "2019-08-24", "issuingCountry": "", "object": "identity", "updatedAt": "2019-08-24T14:15:22Z", "valid": true, "value": "string", "isArchived": true, "isPrimary": false } }